Getting analysis for a geographic request distribution for a domain or subdomain¶
Note
The user must have at least READ permissions during the selected time period.
Note
Domains and subdomains for which a user has no permissions are skipped.
Note
At least one attribute domains or subDomains must be defined in the body.
Send a POST request to the endpoint /statistics/world-map/{startTime}/{finishTime}/{sortBy}/{direction}.
Description¶
The Get-Worldmap request allows the user to request country-level request statistics for the specified domains or subdomains for the selected time period, suitable for world map visualisation.
Requirements¶
Values of the request: Start Date {startTime}; End Date {finishTime}; Sorting {sortBy}; Order {direction}
Objects: StatisticsVO
Request¶
To request data for a specific world map for one or more domains or subdomains, the start time and end time as Unix timestamps, as well as the attributes Sorting {sortBy} and Order {direction}, need to be added to the path of the request.
The values for Sorting {sortBy} are the following:
| Value | Description |
|---|---|
total_cached_requests |
Sort by the total number of cached requests. |
total_cached_traffic |
Sort by the total amount of cached traffic. |
total_requests |
Sort by the total number of requests. |
total_traffic |
Sort by the total amount of traffic. |
total_uncached_requests |
Sort by the total number of uncached requests. |
total_uncached_traffic |
Sort by the amount of uncached traffic. |
country_code |
Sort by the country code of the country. |
total_blocked_requests |
Sort by the total number of blocked requests. |
total_redirect_requests |
Sort by the total number of redirected requests. |
total_verified_requests |
Sort by the total number of verified requests. |
The values for Order {direction} are the following:
| Value | Description |
|---|---|
desc |
Sort the entries descending. |
asc |
Sort the entries ascending. |
For a detailed specification of which information is required to get a statistic, the following attributes need to be defined in the body:
| Attributes | Description | Values |
|---|---|---|
domains |
An array with the names of the domains.NoteTo include a domain with all its subdomains, the attribute subDomains must be empty. |
string |
subDomains |
An array with the names of the subdomains.NoteTo include only specific subdomains, the attribute Domains can be empty. |
string |
As a result, the user gets one or more statistics object with data for each analysis category for the selected domains or subdomains.
The object provides the following information:
| Attributes | Description | Values |
|---|---|---|
astype |
The ASN type with the name of the region. | string |
total_cached_requests |
The total number of cached requests. | integer |
total_cached_traffic |
The total amount of cached traffic. | integer |
total_requests |
The total number of requests. | integer |
total_traffic |
The total amount of traffic. | integer |
total_uncached_requests |
The total number of uncached requests. | integer |
total_uncached_traffic |
The amount of uncached traffic. | integer |
country_code |
The country code of the country. | string |
total_blocked_requests |
The total number of blocked requests. | integer |
total_redirect_requests |
The total number of redirected requests. | integer |
total_verified_requests |
The total number of verified requests. | integer |
Example¶
Example request body:
{
"domains": "string",
"subDomains": "string",
"astype": "string",
"total_cached_requests": 0,
"total_cached_traffic": 0,
"total_requests": 0,
"total_traffic": 0,
"total_uncached_requests": 0,
"total_uncached_traffic": 0,
"country_code": "string",
"total_blocked_requests": 0,
"total_redirect_requests": 0,
"total_verified_requests": 0
}
Responses¶
The following responses are available:
| STATUS CODE | DESCRIPTION |
|---|---|
| 201 | The request has succeeded and a new object has been created. |
| 400 | The request was unsuccessful. The request was invalid or information is missing. |
| 401 | The request has not succeeded because the user authentication was incorrect. |
| 403 | The request has not succeeded because the user does not have the right permissions. |